jvx.gui

## Class PuHeaderBar

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - jvx.gui.PuHeaderBar

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener

      public class PuHeaderBar
      extends java.awt.Container
      implements java.awt.event.ActionListener

  Header bar gui element originally developed for and currently still main use in parameterization modules. Horizontal canvas includes a checkbox to enable module, a title and start/startAll buttons.

  Header bar is colored while module is running, and allows to skip currently running module or abort process.

  See Also:
    Serialized Form
  Author:
    Matthias Nieser, Konrad Polthier
  Version:
    18.05.2013, 1.50 revised (kp) Better integration with AWT layout managers and independence of quadCover.
    21.10.2009, 1.00 created (mn)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTION_ABORT` Action event id.
    `static int` | `ACTION_SKIP` Action event id.
    `static int` | `ACTION_START` Action event id.
    `static int` | `ACTION_STARTALL` Action event id.

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PuHeaderBar(java.lang.String name)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent e)` Invoked when an action occurs.
    `java.lang.String` | `getName()` Name of the element.
    `java.awt.Dimension` | `getPreferredSize()` Gets the preferred size of this component.
    `boolean` | `isEnabledHeadbar()` Whether checkbox is checked.
    `void` | `setActionListener(java.awt.event.ActionListener listener)` Parent, this is a hack and should have better event handling.
    `void` | `setEnabledHeadbar(boolean enabled)` Whether checkbox is checked.
    `void` | `setName(java.lang.String name)` Name of the element.
    `void` | `setRunning(boolean bRunning)` Set whether the corresponding module is currently running.
    `void` | `setTooltip(java.lang.String tooltip)` Sets a tooltip to the checkbox, describing the section.

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ACTION_START

          public static final int ACTION_START

      Action event id. Start button pressed.
      See Also:
        Constant Field Values

    - #### ACTION_STARTALL

          public static final int ACTION_STARTALL

      Action event id. Start-all button pressed.
      See Also:
        Constant Field Values

    - #### ACTION_SKIP

          public static final int ACTION_SKIP

      Action event id. Skip currently running module.
      See Also:
        Constant Field Values

    - #### ACTION_ABORT

          public static final int ACTION_ABORT

      Action event id. Abort process.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PuHeaderBar

          public PuHeaderBar(java.lang.String name)

      Constructor.

  - ### Method Detail

    - #### setTooltip

          public void setTooltip(java.lang.String tooltip)

      Sets a tooltip to the checkbox, describing the section.

    - #### setActionListener

          public void setActionListener(java.awt.event.ActionListener listener)

      Parent, this is a hack and should have better event handling.

    - #### getName

          public java.lang.String getName()

      Name of the element.
      Overrides:
        `getName` in class `java.awt.Component`

    - #### setName

          public void setName(java.lang.String name)

      Name of the element.
      Overrides:
        `setName` in class `java.awt.Component`

    - #### getPreferredSize

          public java.awt.Dimension getPreferredSize()

      Gets the preferred size of this component.
      Overrides:
        `getPreferredSize` in class `java.awt.Container`
      Returns:
        a dimension object indicating this component's preferred size

    - #### isEnabledHeadbar

          public boolean isEnabledHeadbar()

      Whether checkbox is checked.

    - #### setEnabledHeadbar

          public void setEnabledHeadbar(boolean enabled)

      Whether checkbox is checked.

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent e)

      Invoked when an action occurs.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### setRunning

          public void setRunning(boolean bRunning)

      Set whether the corresponding module is currently running.

"

The software JavaView? is copyright protected. All Rights Reserved.
"